Subject: Re: Dependency query regarding contrib scripts

From: Jonathan Nieder <[email-masked]>
Date: Tue, 1 Dec 2015 12:52:04 -0800

Richard Ipsum wrote:

> Having read the docs for integrating new subcommands into git[1] I am looking
> for some clarification of the following,
>
> "While we strongly encourage coding in portable C for portability,
> these [C, shell, perl] specific scripting languages are also acceptable.
> We won’t accept more without a very strong technical case,
> as we don’t want to broaden the Git suite’s required dependencies"
>
> Does this also mean that use of non-core modules by, for example, perl scripts,
> is out of the question for contrib scripts? Or is it acceptable but ideally
> minimised?
>
> In particular I'd like to be able to make use of Git::Raw[2] and also ideally
> the Moo framework[3].

contrib is its own world.  Your best bet is to ask the maintainer of
the relevant contrib script what kind of portability they require
(cc-ing this list).

If you are the maintainer, then go wild. ;-)

Thanks,
Jonathan

> [2]: http://search.cpan.org/~jacquesg/Git-Raw-0.58/lib/Git/Raw.pm
> [3]: http://search.cpan.org/~haarg/Moo-2.000002/lib/Moo.pm